com.r3corda.core.crypto / SignedData

# SignedData

`open class SignedData<T : Any>`

A serialized piece of data and its signature. Enforces signature validity in order to deserialize the data contained within.

### Parameters

`raw` - the raw serialized data
`sig` - the (unverified) signature for the data

### Constructors

<init> | `SignedData(raw: SerializedBytes<T>, sig: WithKey)` A serialized piece of data and its signature. Enforces signature validity in order to deserialize the data contained within.

### Properties

raw | `val raw: SerializedBytes<T>`
sig | `val sig: WithKey`

### Functions

verified | `fun verified(): T` Return the deserialized data if the signature can be verified.
verifyData | `open fun verifyData(data: T): Unit` Verify the wrapped data after the signature has been verified and the data deserialised. Provided as an extension point for subclasses.

### Inheritors

WireNodeRegistration | `class WireNodeRegistration : SignedData<NodeRegistration>` A node registration and its signature as a pair.